<?php
$image = $_GET['i'];
$max_width = $_GET['w'];
$max_height = $_GET['h'];


$picture_location = $image;

$picture_save = str_replace($image, array(".jpg", ".gif", ".png"), ".temp");

$im_size = getimagesize($picture_location);
$imageWidth = $im_size[0];
$imageHeight = $im_size[1];

if (preg_match('/\.jpg/i', $picture_location)) { //If file is a JPG
  $im2 = imagecreatefromjpeg($picture_location);
} elseif (preg_match('/\.gif/i', $picture_location)) { //If file is a GIF
  $im2 = imagecreatefromgif($picture_location);
} elseif (preg_match('/\.png/i', $picture_location)) { //If file is a PNG
  $im2 = imagecreatefrompng($picture_location);
}

$x_ratio = $max_width / $imageWidth;
$y_ratio = $max_height / $imageHeight;

if ( ($imageWidth <= $max_width) || ($imageHeight <= $max_height) ) {
  $tn_width = $imageWidth;
  $tn_height = $imageHeight;
}


if (($x_ratio * $imageHeight) < $max_height) {
  $tn_height = ceil($x_ratio * $imageHeight);
  $tn_width = $max_width;
}
else {
  $tn_width = ceil($y_ratio * $imageWidth);
  $tn_height = $max_height;
}



$im = imagecreatetruecolor( $tn_width, $tn_height );

imagecopyresampled($im,$im2, 0, 0, 0, 0, $tn_width, $tn_height,$imageWidth, $imageHeight);
if (preg_match('/\.jpg/i', $picture_location)) { //If file is a JPG
  Header("Content-type: image/jpeg");
  imagejpeg($im,'',100); //to print to screen
  imagejpeg($im,$picture_save,100);
} elseif (preg_match('/\.gif/i', $picture_location)) { //If file is a GIF
  Header("Content-type: image/gif");
  imagegif($im,'',100);
  imagegif($im,$picture_save,100);
} elseif (preg_match('/\.png/i', $picture_location)) { //If file is a PNG
  Header("Content-type: image/png");
  imagepng($im,'',100);
  imagepng($im,$picture_save,100);
}


ImageDestroy($im);
ImageDestroy ($im2);



?>